/**
 * @ingroup   winamp68_devel
 * @file      obj3d.h
 * @author    Ben(jamin) Gerard <ben@sashipa.com>
 * @date      20/10/2001
 * @brief     Simple 3D object definition.
 * @version   $Id: obj3d.h,v 1.1.1.1 2001/12/24 20:50:11 ben Exp $
 */

/* Copyright (C) 1998-2001 Ben(jamin) Gerard */

#ifndef _OBJ3D_H_
#define  _OBJ3D_H_

/** Vertex */
typedef struct {
  float x;  /**< X axis coordinate */
  float y;  /**< Y axis coordinate */
  float z;  /**< Z axis coordinate */
  float w;  /**< W homogeneous coordinate */
} vtx_t;

/** Triangle */
typedef struct {
  int a;      /**< Index of 1st vertex */
  int b;      /**< Index of 2nd vertex */
  int c;      /**< Index of 3td vertex */
  int flags;  /**< flags */
} tri_t;

/** 3D object */
typedef struct {
  int flags;        /**< Flags */
	int	nbv;          /**< Number of vertex */
	int	nbf;          /**< Number of faces */

  int static_nbv;   /**< ? */
  int static_nbf;   /**< ? */

	vtx_t *vtx;       /**< Pointer to vertex buffer */
	tri_t *tri;       /**< Pointer to face buffer */
} obj_t;

extern obj_t atariLogo; /**< Atari logo 3D object */
extern obj_t amigaLogo; /**< Amiga logo 3D object */

#endif

